
package com.tmerclub.cloud.supplier.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;


/**
 * 审核信息
 *
 * @author YXF
 */
@Schema(description = "审核信息")
public class SupplierAuditingInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "供应商审核id")
    private Long supplierAuditingId;

    @Schema(description = "供应商id")
    private Long supplierId;

    @Schema(description = "申请时间")
    private Date createTime;

    @Schema(description = "审核状态 0未审核 1已通过 -1未通过")
    private Integer status;

    @Schema(description = "供应商名字")
    private String supplierName;

    @Schema(description = "供应商详细地址")
    private String supplierAddress;

    @Schema(description = "供应商所在省份")
    private String province;

    @Schema(description = "供应商所在城市")
    private String city;

    @Schema(description = "供应商所在区域")
    private String area;

    @Schema(description = "供应商logo")
    private String supplierLogo;

    @Schema(description = "供应商简介")
    private String intro;

    @Schema(description = "供应商状态")
    private Integer supplierStatus;

    @Schema(description = "供应商账号")
    private String mobile;

    public Long getSupplierAuditingId() {
        return supplierAuditingId;
    }

    public void setSupplierAuditingId(Long supplierAuditingId) {
        this.supplierAuditingId = supplierAuditingId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getSupplierAddress() {
        return supplierAddress;
    }

    public void setSupplierAddress(String supplierAddress) {
        this.supplierAddress = supplierAddress;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getSupplierLogo() {
        return supplierLogo;
    }

    public void setSupplierLogo(String supplierLogo) {
        this.supplierLogo = supplierLogo;
    }

    public String getIntro() {
        return intro;
    }

    public void setIntro(String intro) {
        this.intro = intro;
    }

    public Integer getSupplierStatus() {
        return supplierStatus;
    }

    public void setSupplierStatus(Integer supplierStatus) {
        this.supplierStatus = supplierStatus;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    @Override
    public String toString() {
        return "SupplierAuditingInfoVO{" +
                "supplierAuditingId=" + supplierAuditingId +
                ", supplierId=" + supplierId +
                ", createTime=" + createTime +
                ", status=" + status +
                ", supplierName='" + supplierName + '\'' +
                ", supplierAddress='" + supplierAddress + '\'' +
                ", province='" + province + '\'' +
                ", city='" + city + '\'' +
                ", area='" + area + '\'' +
                ", supplierLogo='" + supplierLogo + '\'' +
                ", intro='" + intro + '\'' +
                ", supplierStatus=" + supplierStatus +
                ", mobile='" + mobile + '\'' +
                '}';
    }
}
